#
# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
import sys
from os import listdir
from os.path import exists, isfile, join

import import_xml_file

# get a list of xml files in the given directory:
directory = sys.argv[1]
print(directory)
files = []
preexisting_count = 0

for filename in listdir(directory):
    if not filename.endswith(".xml"):
        continue
    if exists(filename + ".log"):
        preexisting_count = preexisting_count + 1
        continue
    fullname = join(directory, filename)
    files.append(filename)

print("files found: ", len(files))
print("preexisting: ", preexisting_count)

# process each file:
current = 1
problems = []
for f in files:
    print("proccesing {} of {}: {}".format(current, len(files), f))

    result = import_xml_file.parseFile(directory + "/" + f, f + ".log")
    if result != 0:
        problems.append(f)

    current = current + 1

print("{} problems found:".format(len(problems)))
print(problems)
